from enum import unique

from pystagram.graph_api.components.fields.fields import Fields


@unique
class AccountFields(Fields):
    TASKS = "tasks"
    ID = "id"
    ABOUT = "about"
    ACCESS_TOKEN = "access_token"
    AD_CAMPAIGN = "ad_campaign"
    AFFILIATION = "affiliation"
    APP_ID = "app_id"
    ARTISTS_WE_LIKE = "artists_we_like"
    ATTIRE = "attire"
    AVAILABLE_PROMO_OFFER_IDS = "available_promo_offer_ids"
    AWARDS = "awards"
    BAND_INTERESTS = "band_interests"
    BAND_MEMBERS = "band_members"
    BEST_PAGE = "best_page"
    BIO = "bio"
    BIRTHDAY = "birthday"
    BOOKING_AGENT = "booking_agent"
    BUILT = "built"
    BUSINESS = "business"
    CAN_CHECKIN = "can_checkin"
    CAN_POST = "can_post"
    CATEGORY = "category"
    CATEGORY_LIST = "category_list"
    CHECKINS = "checkins"
    COMPANY_OVERVIEW = "company_overview"
    CONNECTED_INSTAGRAM_ACCOUNT = "connected_instagram_account"
    CONNECTED_PAGE_BACKED_INSTAGRAM_ACCOUNT = "connected_page_backed_instagram_account"
    CONTACT_ADDRESS = "contact_address"
    COPYRIGHT_ATTRIBUTION_INSIGHTS = "copyright_attribution_insights"
    COPYRIGHT_WHITELISTED_IG_PARTNERS = "copyright_whitelisted_ig_partners"
    COUNTRY_PAGE_LIKES = "country_page_likes"
    COVER = "cover"
    CULINARY_TEAM = "culinary_team"
    CURRENT_LOCATION = "current_location"
    DELIVERY_AND_PICKUP_OPTION_INFO = "delivery_and_pickup_option_info"
    DESCRIPTION = "description"
    DESCRIPTION_HTML = "description_html"
    DIFFERENTLY_OPEN_OFFERINGS = "differently_open_offerings"
    DIRECTED_BY = "directed_by"
    DISPLAY_SUBTEXT = "display_subtext"
    DISPLAYED_MESSAGE_RESPONSE_TIME = "displayed_message_response_time"
    DOES_VIEWER_HAVE_PAGE_PERMISSION_LINK_IG = "does_viewer_have_page_permission_link_ig"
    EMAILS = "emails"
    ENGAGEMENT = "engagement"
    FAN_COUNT = "fan_count"
    FEATURED_VIDEO = "featured_video"
    FEATURES = "features"
    FOLLOWERS_COUNT = "followers_count"
    FOOD_STYLES = "food_styles"
    FOUNDED = "founded"
    GENERAL_INFO = "general_info"
    GENERAL_MANAGER = "general_manager"
    GENRE = "genre"
    GLOBAL_BRAND_PAGE_NAME = "global_brand_page_name"
    GLOBAL_BRAND_ROOT_ID = "global_brand_root_id"
    HAS_ADDED_APP = "has_added_app"
    HAS_LEAD_ACCESS = "has_lead_access"
    HAS_TRANSITIONED_TO_NEW_PAGE_EXPERIENCE = "has_transitioned_to_new_page_experience"
    HAS_WHATSAPP_BUSINESS_NUMBER = "has_whatsapp_business_number"
    HAS_WHATSAPP_NUMBER = "has_whatsapp_number"
    HOMETOWN = "hometown"
    HOURS = "hours"
    IMPRESSUM = "impressum"
    INFLUENCES = "influences"
    INSTAGRAM_BUSINESS_ACCOUNT = "instagram_business_account"
    IS_ALWAYS_OPEN = "is_always_open"
    IS_CHAIN = "is_chain"
    IS_COMMUNITY_PAGE = "is_community_page"
    IS_ELIGIBLE_FOR_BRANDED_CONTENT = "is_eligible_for_branded_content"
    IS_ELIGIBLE_FOR_DISABLE_CONNECT_IG_BTN_FOR_NON_PAGE_ADMIN_AM_WEB = "is_eligible_for_disable_connect_ig_btn_for_non_page_admin_am_web"
    IS_MESSENGER_BOT_GET_STARTED_ENABLED = "is_messenger_bot_get_started_enabled"
    IS_MESSENGER_PLATFORM_BOT = "is_messenger_platform_bot"
    IS_OWNED = "is_owned"
    IS_PERMANENTLY_CLOSED = "is_permanently_closed"
    IS_PUBLISHED = "is_published"
    IS_UNCLAIMED = "is_unclaimed"
    IS_WEBHOOKS_SUBSCRIBED = "is_webhooks_subscribed"
    LEADGEN_TOS_ACCEPTANCE_TIME = "leadgen_tos_acceptance_time"
    LEADGEN_TOS_ACCEPTED = "leadgen_tos_accepted"
    LEADGEN_TOS_ACCEPTING_USER = "leadgen_tos_accepting_user"
    LINK = "link"
    LOCATION = "location"
    MEMBERS = "members"
    MERCHANT_ID = "merchant_id"
    MERCHANT_REVIEW_STATUS = "merchant_review_status"
    MESSAGING_FEATURE_STATUS = "messaging_feature_status"
    MESSENGER_ADS_DEFAULT_ICEBREAKERS = "messenger_ads_default_icebreakers"
    MESSENGER_ADS_DEFAULT_QUICK_REPLIES = "messenger_ads_default_quick_replies"
    MESSENGER_ADS_QUICK_REPLIES_TYPE = "messenger_ads_quick_replies_type"
    MISSION = "mission"
    MPG = "mpg"
    NAME = "name"
    NAME_WITH_LOCATION_DESCRIPTOR = "name_with_location_descriptor"
    NETWORK = "network"
    NEW_LIKE_COUNT = "new_like_count"
    OFFER_ELIGIBLE = "offer_eligible"
    OVERALL_STAR_RATING = "overall_star_rating"
    PAGE_TOKEN = "page_token"
    PARENT_PAGE = "parent_page"
    PARKING = "parking"
    PAYMENT_OPTIONS = "payment_options"
    PERSONAL_INFO = "personal_info"
    PERSONAL_INTERESTS = "personal_interests"
    PHARMA_SAFETY_INFO = "pharma_safety_info"
    PHONE = "phone"
    PICKUP_OPTIONS = "pickup_options"
    PLACE_TYPE = "place_type"
    PLOT_OUTLINE = "plot_outline"
    PREFERRED_AUDIENCE = "preferred_audience"
    PRESS_CONTACT = "press_contact"
    PRICE_RANGE = "price_range"
    PRIVACY_INFO_URL = "privacy_info_url"
    PRODUCED_BY = "produced_by"
    PRODUCTS = "products"
    PROMOTION_ELIGIBLE = "promotion_eligible"
    PROMOTION_INELIGIBLE_REASON = "promotion_ineligible_reason"
    PUBLIC_TRANSIT = "public_transit"
    RATING_COUNT = "rating_count"
    RECIPIENT = "recipient"
    RECORD_LABEL = "record_label"
    RELEASE_DATE = "release_date"
    RESTAURANT_SERVICES = "restaurant_services"
    RESTAURANT_SPECIALTIES = "restaurant_specialties"
    SCHEDULE = "schedule"
    SCREENPLAY_BY = "screenplay_by"
    SEASON = "season"
    SINGLE_LINE_ADDRESS = "single_line_address"
    STARRING = "starring"
    START_INFO = "start_info"
    STORE_CODE = "store_code"
    STORE_LOCATION_DESCRIPTOR = "store_location_descriptor"
    STORE_NUMBER = "store_number"
    STUDIO = "studio"
    SUPPORTS_DONATE_BUTTON_IN_LIVE_VIDEO = "supports_donate_button_in_live_video"
    TALKING_ABOUT_COUNT = "talking_about_count"
    TEMPORARY_STATUS = "temporary_status"
    UNREAD_MESSAGE_COUNT = "unread_message_count"
    UNREAD_NOTIF_COUNT = "unread_notif_count"
    UNSEEN_MESSAGE_COUNT = "unseen_message_count"
    USERNAME = "username"
    VERIFICATION_STATUS = "verification_status"
    VOIP_INFO = "voip_info"
    WEBSITE = "website"
    WERE_HERE_COUNT = "were_here_count"
    WHATSAPP_NUMBER = "whatsapp_number"
    WRITTEN_BY = "written_by"
    AB_TESTS = "ab_tests"
    ADS_POSTS = "ads_posts"
    AGENCIES = "agencies"
    ALBUMS = "albums"
    AR_EXPERIENCE = "ar_experience"
    ASSIGNED_USERS = "assigned_users"
    AUDIO_MEDIA_COPYRIGHTS = "audio_media_copyrights"
    BLOCKED = "blocked"
    BUSINESSPROJECTS = "businessprojects"
    CALL_TO_ACTIONS = "call_to_actions"
    CANVAS_ELEMENTS = "canvas_elements"
    CANVASES = "canvases"
    CHAT_PLUGIN = "chat_plugin"
    COMMERCE_MERCHANT_SETTINGS = "commerce_merchant_settings"
    COMMERCE_ORDERS = "commerce_orders"
    COMMERCE_PAYOUTS = "commerce_payouts"
    COMMERCE_TRANSACTIONS = "commerce_transactions"
    CONVERSATIONS = "conversations"
    CROSSPOST_WHITELISTED_PAGES = "crosspost_whitelisted_pages"
    CUSTOM_LABELS = "custom_labels"
    CUSTOM_USER_SETTINGS = "custom_user_settings"
    DATASET = "dataset"
    EVENTS = "events"
    FANTASY_GAMES = "fantasy_games"
    FEED = "feed"
    GLOBAL_BRAND_CHILDREN = "global_brand_children"
    GROUPS = "groups"
    IMAGE_COPYRIGHTS = "image_copyrights"
    INDEXED_VIDEOS = "indexed_videos"
    INSIGHTS = "insights"
    INSTAGRAM_ACCOUNTS = "instagram_accounts"
    LEADGEN_FORMS = "leadgen_forms"
    LIKES = "likes"
    LIVE_VIDEOS = "live_videos"
    LOCATIONS = "locations"
    MEDIA_FINGERPRINTS = "media_fingerprints"
    MESSAGING_FEATURE_REVIEW = "messaging_feature_review"
    MESSENGER_LEAD_FORMS = "messenger_lead_forms"
    MESSENGER_PROFILE = "messenger_profile"
    NOTIFICATION_MESSAGE_TOKENS = "notification_message_tokens"
    PAGE_BACKED_INSTAGRAM_ACCOUNTS = "page_backed_instagram_accounts"
    PERSONAS = "personas"
    PHOTOS = "photos"
    PICTURE = "picture"
    POSTS = "posts"
    PRODUCT_CATALOGS = "product_catalogs"
    PUBLISHED_POSTS = "published_posts"
    RATINGS = "ratings"
    ROLES = "roles"
    RTB_DYNAMIC_POSTS = "rtb_dynamic_posts"
    SCHEDULED_POSTS = "scheduled_posts"
    SECONDARY_RECEIVERS = "secondary_receivers"
    SETTINGS = "settings"
    SHOP_SETUP_STATUS = "shop_setup_status"
    STORIES = "stories"
    SUBSCRIBED_APPS = "subscribed_apps"
    TABS = "tabs"
    TAGGED = "tagged"
    THREAD_OWNER = "thread_owner"
    THREADS = "threads"
    VIDEO_COPYRIGHT_RULES = "video_copyright_rules"
    VIDEO_LISTS = "video_lists"
    VIDEO_REELS = "video_reels"
    VIDEOS = "videos"
    VISITOR_POSTS = "visitor_posts"
    WELCOME_MESSAGE_FLOWS = "welcome_message_flows"
